| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Slots | Protected Member Functions | Friends | List of all members
Digikam::GPSItemModel Class Reference
Inheritance diagram for Digikam::GPSItemModel:

## Signals
void | signalThumbnailForIndexAvailable (const QPersistentModelIndex &index, const QPixmap &pixmap)

## Public Member Functions
| GPSItemModel (QObject *const parent=nullptr)
void | addItem (GPSItemContainer *const newItem)
int | columnCount (const QModelIndex &parent=QModelIndex()) const override
QVariant | data (const QModelIndex &index, int role=Qt::DisplayRole) const override
Qt::ItemFlags | flags (const QModelIndex &index) const override
QPixmap | getPixmapForIndex (const QPersistentModelIndex &itemIndex, const int size)
QVariant | headerData (int section, Qt::Orientation orientation, int role) const override
QModelIndex | index (int row, int column, const QModelIndex &parent=QModelIndex()) const override
QModelIndex | indexFromUrl (const QUrl &url) const
GPSItemContainer * | itemFromIndex (const QModelIndex &index) const
GPSItemContainer * | itemFromUrl (const QUrl &url) const
QModelIndex | parent (const QModelIndex &index) const override
int | rowCount (const QModelIndex &parent=QModelIndex()) const override
void | setColumnCount (const int nColumns)
bool | setData (const QModelIndex &index, const QVariant &value, int role) override
bool | setHeaderData (int section, Qt::Orientation orientation, const QVariant &value, int role) override
Qt::DropActions | supportedDragActions () const override

## Protected Slots
void | slotThumbnailLoaded (const LoadingDescription &, const QPixmap &)

## Protected Member Functions
void | itemChanged (GPSItemContainer *const changedItem)

## Friends
class | GPSItemContainer